<form [formGroup]="form">
  <div class="row">
    <!-- ------------ Naam --------------------------------------- -->
    <div class="form-group col-xs">
      <label for="name">Naam</label>
      <input
        type="text"
        formControlName="name"
        placeholder="Hier een beschrijving"
        class="form-control edit-form__input"
        [class.is-invalid]="nameControlInvalid"
        required
        minlength="2"
      />
      <div class="invalid-feedback" *ngIf="nameControlInvalid">
        <p>Naam is een verplicht veld.</p>
      </div>
    </div>

    <!-- ------------ Leerlijn - optioneel ------------------------------- -->
    <div *ngIf="isLearningLine" class="form-group col-xs">
      <label for="learningLine">Leerlijn</label>
      <div class="form-group">
        <div class="custom-control custom-radio custom-control-inline">
          <input
            type="checkbox"
            id="learningLine"
            class="custom-control-input edit-form__input"
            formControlName="isLearningLine"
            value="false"
          />
          <label class="custom-radio-label" for="learningLine">
            Element is leerlijn
          </label>
        </div>
      </div>
    </div>
  </div>

  <!-- ------------ Korte beschrijving --------------------------- -->
  <div class="row">
    <div class="form-group col-xs">
      <!-- <label for="shortDescription">Korte beschrijving</label> -->
      <input
        type="text"
        formControlName="shortDescription"
        placeholder="Hier een beschrijving"
        class="form-control edit-form__input"
        [class.is-invalid]="shortDescriptionControlInvalid"
        required
        minlength="3"
      />
      <div class="invalid-feedback" *ngIf="shortDescriptionControlInvalid">
        <p>Een korte beschrijving is verplicht.</p>
      </div>
    </div>
  </div>

  <!-- ------------ Lange beschrijving --------------------------- -->
  <!-- <div class="row" style="display: block;">
    <div class="form-group col-xs">
      <label for="longDescription">Toelichting</label>

      <quill-editor
        id="longDescription"
        [style]="{ height: '160px' }"
        formControlName="longDescription"
        placeholder="Hier een beschrijving"
        [class.is-invalid]="longDescriptionControlInvalid"
        format="html"
        [sanitize]="true"
      >
      </quill-editor>
    </div>
  </div> -->

  <!-- ------------ Administratieve opmerking --------------------------- -->
  <div class="row">
    <div class="form-group col-xs">
      <label for="administrativeRemark">Administratieve opmerking</label>
      <textarea
        type="text"
        rows="2"
        class="form-control"
        formControlName="administrativeRemark"
        placeholder="Hier een beschrijving"
        class="form-control"
      ></textarea>
    </div>
  </div>

  <!-- ------------ Buttons -------------------------------------- -->
  <div class="row">
    <div class="col-auto">
      <div class="form-group">
        <button
          type="button"
          class="btn btn-success"
          [disabled]="!form.valid"
          *ngIf="!exists"
          (click)="createItem(form)"
        >
          Create item
        </button>

        <button
          type="button"
          class="btn btn-success"
          [disabled]="!form.valid"
          *ngIf="exists"
          (click)="updateItem(form)"
        >
          Update item
        </button>

        <button type="button" class="btn btn-outline-warning" *ngIf="exists" (click)="removeItem(form)">
          Verwijder item
        </button>

        <button type="button" class="btn btn-spacing btn-outline-warning" (click)="onCancel()">
          Cancel
        </button>
      </div>
    </div>
  </div>
</form>
